Package org.opensaml.saml.saml2.metadata

# Interface IndexedEndpoint

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `Endpoint`, `SAMLObject`, `XMLObject`

All Known Subinterfaces:
  `ArtifactResolutionService`, `AssertionConsumerService`, `DiscoveryResponse`

All Known Implementing Classes:
  `ArtifactResolutionServiceImpl`, `AssertionConsumerServiceImpl`, `DiscoveryResponseImpl`, `IndexedEndpointImpl`

public interface IndexedEndpoint extends Endpoint
SAML 2.0 Metadata IndexedEndpoint.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`INDEX_ATTRIB_NAME`
index attribute name.
`static final String`
`IS_DEFAULT_ATTRIB_NAME`
isDeault attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.saml.saml2.metadata.Endpoint

`BINDING_ATTRIB_NAME, LOCATION_ATTRIB_NAME, RESPONSE_LOCATION_ATTRIB_NAME`

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getIndex()`
Gets the index of the endpoint.
`Boolean`
`isDefault()`
Gets whether this is the default endpoint in a list.
`XSBooleanValue`
`isDefaultXSBoolean()`
Gets whether this is the default endpoint in a list.
`void`
`setIndex(Integer index)`
Sets the index of the endpoint.
`void`
`setIsDefault(Boolean newIsDefault)`
Sets whether this is the default endpoint in a list.
`void`
`setIsDefault(XSBooleanValue newIsDefault)`
Sets whether this is the default endpoint in a list.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.saml.saml2.metadata.Endpoint

`getBinding, getLocation, getResponseLocation, setBinding, setLocation, setResponseLocation`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### INDEX_ATTRIB_NAME

@Nonnull @NotEmpty static final String INDEX_ATTRIB_NAME
index attribute name.

See Also:
  - Constant Field Values

### IS_DEFAULT_ATTRIB_NAME

@Nonnull @NotEmpty static final String IS_DEFAULT_ATTRIB_NAME
isDeault attribute name.

See Also:
  - Constant Field Values

## Method Details

### getIndex

@Nullable Integer getIndex()
Gets the index of the endpoint.

Returns:
  index of the endpoint

### setIndex

void setIndex(@Nullable Integer index)
Sets the index of the endpoint.

Parameters:
  `index` - index of the endpoint

### isDefault

@Nullable Boolean isDefault()
Gets whether this is the default endpoint in a list.

Returns:
  whether this is the default endpoint in a list

### isDefaultXSBoolean

@Nullable XSBooleanValue isDefaultXSBoolean()
Gets whether this is the default endpoint in a list.

Returns:
  whether this is the default endpoint in a list

### setIsDefault

void setIsDefault(@Nullable Boolean newIsDefault)
Sets whether this is the default endpoint in a list. Boolean values will be marshalled to either "true" or "false".

Parameters:
  `newIsDefault` - whether this is the default endpoint in a list

### setIsDefault

void setIsDefault(@Nullable XSBooleanValue newIsDefault)
Sets whether this is the default endpoint in a list.

Parameters:
  `newIsDefault` - whether this is the default endpoint in a list